<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:layout_height="72dp"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_playmate"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/im_playmate_category_top_bar_bg"
        android:paddingHorizontal="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_playmate_category"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="@drawable/common_category_icon_bg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundAsCircle="true"
            app:roundingBorderColor="@color/white"
            app:roundingBorderWidth="1dp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_playmate_category_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/v_playmate_price"
            app:layout_constraintEnd_toStartOf="@id/btn_order"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_playmate_category"
            app:layout_constraintTop_toTopOf="@id/iv_playmate_category"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="Mobile Legends" />

        <com.adealink.weparty.module.playmate.widget.PriceView
            android:id="@+id/v_playmate_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            app:layout_constraintBottom_toBottomOf="@id/iv_playmate_category"
            app:layout_constraintStart_toStartOf="@id/tv_playmate_category_name"
            app:layout_constraintTop_toBottomOf="@id/tv_playmate_category_name"
            app:price_icon_size="14.4dp"
            app:price_text_bold="false"
            app:price_text_size="14sp"
            app:unit_text_color="@color/price_text_color"
            app:unit_text_size="14sp" />

        <androidx.constraintlayout.widget.Barrier
            android:id="@+id/right_barrier"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:barrierDirection="start"
            app:constraint_referenced_ids="btn_order" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_order"
            android:layout_width="wrap_content"
            android:layout_height="24dp"
            android:minWidth="64dp"
            android:paddingHorizontal="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/common_create_order"
            app:textSize="12sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</merge>